Subject: Re: [bug#50081] [PATCH] gnu: texlive-texmf: Disable LuaJIT engines on powerpc64le

From: Maxime Devos <[email-masked]>
Date: Wed, 18 Aug 2021 00:51:15 +0200

Thiago Jung Bauermann via Guix-patches via schreef op ma 16-08-2021 om 16:46 [-0300]:
> LuaJIT isn’t ported to powerpc64le. ‘texlive-latex-base’ already disables
> them, so just do the same in texlive-texmf.
> 
> Fix suggested by Mathieu Othacehe <[email-masked]>.
> 
> * gnu/packages/tex.scm (texlive-texmf)[arguments]<#:phases>{texmf-config}:
> Disable LuaJIT engines when building for powerpc64le.
> ---
> 
> Hello,
> 
> This fixes the build of ‘texlive-texmf’ on powerpc64le. It was failing
> with these errors:
> 
>   fmtutil [ERROR]: not building luajittex due to missing engine: luajittex
>   fmtutil [ERROR]: not building luajithbtex due to missing engine: luajithbtex
> 
> Thank you very much to Mathieu for his help in making  this work.
> 
>  gnu/packages/tex.scm | 8 ++++++++
>  1 file changed, 8 insertions(+)
> 
> diff --git a/gnu/packages/tex.scm b/gnu/packages/tex.scm
> index 70166941d554..3c0b87352a10 100644
> --- a/gnu/packages/tex.scm
> +++ b/gnu/packages/tex.scm
> @@ -6821,9 +6821,17 @@ directly generate PDF documents instead of DVI.")
>                       (share (string-append out "/share"))
>                       (texmfroot (string-append share "/texmf-dist/web2c"))
>                       (texmfcnf (string-append texmfroot "/texmf.cnf"))
> +                     (fmtutilcnf (string-append texmfroot "/fmtutil.cnf"))
>                       (texlive-bin (assoc-ref inputs "texlive-bin"))
>                       (texbin (string-append texlive-bin "/bin"))
>                       (tlpkg (string-append texlive-bin "/share/tlpkg")))
> +                ;; LuaJIT is not ported to powerpc64le* yet.

Does that mean LuaJIT _is_ ported to powerpc64be (big endian)?

> +                (if (string-prefix? "powerpc64le"
> +                                    ,(or (%current-target-system)
> +                                        (%current-system)))

If not, then this should be (string-prefix? "powerpc64" ...).
Admittedly, Guix doesn't support powerpc64be ...

Greetings,
Maxime.